Subject: Re: [PATCH] Support NAND partitions >4GiB with Open Firmware

From: Mitch Bradley <[email-masked]>
Date: Thu, 26 Jun 2008 17:09:32 -1000

A revised version of the patch, addressing some points that Segher
identified, will be issued soon.

So if you want to review the patch as submitted, please be aware that
some stylistic things have already been fixed (u64 instead of u_int64_t
etc, use of of_read_number(), removal of fallback code for broken
device trees).  The info in Documentation/powerpc/booting-without-of.txt
will also be amended.

The overall scheme - using #address-cells and #size-cells to permit 64-bit
offset and sizes - remains unchanged.